﻿using Infragistics.Win;
using Infragistics.Win.UltraWinListView;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CAS_144728_Y9M8R0
{
    public partial class Form1 : Form
    {
        DataTable dt = ListViewData.GetSampleData();

        public Form1()
        {
            InitializeComponent();
            
            this.ultraListView1.CreationFilter = new MyCreationFilter();

            UltraListViewSubItemColumn colFileSize = this.ultraListView1.SubItemColumns.Add("FileSize");
            UltraListViewSubItemColumn colFileType = this.ultraListView1.SubItemColumns.Add("FileType");
            UltraListViewSubItemColumn colDateModified = this.ultraListView1.SubItemColumns.Add("DateModified");

            colFileSize.DataType = typeof(int);

            colFileSize.Format = "#,###,##0 KB";

            colFileSize.SubItemAppearance.TextHAlign = HAlign.Right;

            colFileType.DataType = typeof(string);

            colDateModified.DataType = typeof(DateTime);

            colFileType.Text = "Type";

            colDateModified.Text = "Date Modified";

            string shortDateFormat = System.Globalization.CultureInfo.CurrentCulture.DateTimeFormat.ShortDatePattern;
            string shortTimeFormat = System.Globalization.CultureInfo.CurrentCulture.DateTimeFormat.ShortTimePattern;
            colDateModified.Format = string.Format("{0} {1}", shortDateFormat, shortTimeFormat);

            this.ultraListView1.MainColumn.DataType = typeof(string);

            this.ultraListView1.MainColumn.Text = "Name";

            Infragistics.Win.Appearance appearance = this.ultraListView1.Appearances.Add("pdfApp");
            appearance.Image = this.imageList1.Images[0];

            DirectoryInfo cDriveInfo = new DirectoryInfo("..\\..\\pdfs");

            FileInfo[] files = cDriveInfo.GetFiles();

            var pdfFiles = dt.Select("Extension = 'pdf'");

            for (int i = 0; i < files.Length; i++)
            {
                FileInfo fileInfo = files[i];

                var ext = Path.GetExtension(fileInfo.Name).Split(new char[] { '.' });
                var name = Path.GetFileNameWithoutExtension(fileInfo.FullName);

                foreach (var file in pdfFiles)
                {
                    if(file.ItemArray[0].Equals(name) && file.ItemArray[4].Equals(ext[1]))
                    {
                        UltraListViewItem item = this.ultraListView1.Items.Add(fileInfo.FullName, fileInfo.Name);
                        item.SubItems["FileSize"].Value = fileInfo.Length / 1024;
                        item.SubItems["FileType"].Value = "File";
                        item.SubItems["DateModified"].Value = fileInfo.LastWriteTime;
                        item.Appearance = this.ultraListView1.Appearances["pdfApp"];
                    }
                }

            }

            this.ultraListView1.View = UltraListViewStyle.Thumbnails;

        }
    }
}
